.product-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr));
    grid-gap: 2rem;
}

.product-card {
    display: flex;
    flex-direction: column;
    grid-row-gap: 0.5rem;
    
    position: relative;
    
    border: 2px solid var(--black);
}

.product-card-overlay {
    padding: 0.5rem;
    
    position: absolute;
    top: 0.75rem;
    right: 0.75rem;
    
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
    color: var(--white);
    
    background-color: hsl(from var(--red) h s l / 0.95);
    border: 2px solid var(--white);
    border-radius: 0.5rem;
}

.product-card img {
    width: 100%;
    height: 18rem;
    object-fit: cover;
}

.product-card-info {
    padding: 1rem;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    
    text-align: left;
}

.product-card-title {
    font-family: "Zilla Slab", serif;
    font-size: 1.2rem;
}